﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Net;
using System.Text;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void Button1_Click(object sender, EventArgs e)
    {
        // enable Tls  1.2 security required to communicate with  interswitch's Service...
        ServicePointManager.SecurityProtocol = SecurityProtocolType.Tls12;


        #region Properties Definition
        string clientID = "IKIA89010217044B016FE467FF4B6EF9A1DA31DCDEEB";
        string secret = "+SD6XVQ7D6SOZkSQJ9N3ki5eApIhXcaE6RihioHPj/Y=";
        string terminalID = "3XXT0001";
        /*
           Account Number: 9999999999 , Bank Code: 011 - Valid account Scenario
	       Account Number: 0000000000 Bank Code: 086 - Dormat account Scenario
         */
        string bankCode = "011";
        string AccountID = "9999999999"; 
        string remoteUrl = "https://sandbox.interswitchng.com/api/v1/nameenquiry/banks/accounts/names";
        string httpVerb = "GET";
        String contentType = "application/json"; //charset=utf-8
        string timeStamp = Utility.timestamp();

        string percentEncodedUrl = Uri.EscapeDataString(remoteUrl);
        string nonce = Utility.GetUniqueKey(20);
        string signatureConValue = httpVerb + "&" + percentEncodedUrl + "&" + timeStamp + "&" + nonce + "&" + clientID + "&" + secret;
        string auth = Utility.Base64Encode(clientID);
        string authorization = "InterswitchAuth" + " " + auth;
        string signature = Utility.SHA1(signatureConValue);
        #endregion

        #region block of Get Account Validation/Name Enquiry request
        try
        {
            HttpWebRequest webRequestObject = (HttpWebRequest)WebRequest.Create(remoteUrl);
            webRequestObject.ContentType = contentType;
            webRequestObject.Headers.Add("Authorization", authorization);
            webRequestObject.Headers.Add("Signature", signature);
            webRequestObject.Headers.Add("Nonce", nonce);
            webRequestObject.Headers.Add("Timestamp", timeStamp);// timeStamp.ToString());
            webRequestObject.Headers.Add("SignatureMethod", "SHA1") ;
            webRequestObject.Headers.Add("TerminalID", terminalID);
            webRequestObject.Headers.Add("accountid", AccountID);
            webRequestObject.Headers.Add("bankCode", bankCode);
            webRequestObject.Method = httpVerb;

            HttpWebResponse response = (HttpWebResponse)webRequestObject.GetResponse();
            Stream hResponseStream = response.GetResponseStream();
            StreamReader readStream = new StreamReader(hResponseStream, Encoding.UTF8);
            string RemoteResponse = readStream.ReadToEnd();
            TextBox1.Text = "Response stream received. /n" + RemoteResponse.ToString();
            response.Close();
            readStream.Close();
         }
        catch (WebException wex)
        {
            if (wex.Response != null)
            {
                using (var errorResponse = (HttpWebResponse)wex.Response)
                {
                    using (var reader = new StreamReader(errorResponse.GetResponseStream()))
                    {
                        string error = reader.ReadToEnd();
                        //TODO: use JSON.net to parse this string and look at the error message
                        TextBox1.Text = "Response stream received. /n" + error.ToString();
                    }
                }
            }
        }
        //catch (Exception err)
        //{
        //    string result = "Error with do transfer: " + err.Message;
        //}
        finally
        {

        }
        #endregion
    }
}